Skip to content

Marketplace Project Order Auto Approvals

Operations Summary

Method Endpoint Description
GET /api/marketplace-project-order-auto-approvals/ List Marketplace Project Order Auto Approvals
GET /api/marketplace-project-order-auto-approvals/{uuid}/ Retrieve
POST /api/marketplace-project-order-auto-approvals/ Create
PUT /api/marketplace-project-order-auto-approvals/{uuid}/ Update
PATCH /api/marketplace-project-order-auto-approvals/{uuid}/ Partial Update
DELETE /api/marketplace-project-order-auto-approvals/{uuid}/ Delete

List Marketplace Project Order Auto Approvals

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-project-order-auto-approvals/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_project_order_auto_approvals import marketplace_project_order_auto_approvals_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_project_order_auto_approvals_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: marketplace_project_order_auto_approvals_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplaceProjectOrderAutoApprovalsList } from 'waldur-js-client';

try {
  const response = await marketplaceProjectOrderAutoApprovalsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
customer_uuid string (uuid) Customer UUID
enabled boolean
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
project_uuid string (uuid) Project UUID

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
url string (uri)
project string (uri)
project_name string
project_uuid string (uuid)
customer_name string
customer_uuid string (uuid)
monthly_cost_limit string (decimal)
enabled boolean
created string (date-time)
modified string (date-time)
created_by_uuid string (uuid)
created_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
created_by_full_name string
modified_by_uuid string (uuid)
modified_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
modified_by_full_name string

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-project-order-auto-approvals/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_project_order_auto_approvals import marketplace_project_order_auto_approvals_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_project_order_auto_approvals_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_project_order_auto_approvals_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceProjectOrderAutoApprovalsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplaceProjectOrderAutoApprovalsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
url string (uri)
project string (uri)
project_name string
project_uuid string (uuid)
customer_name string
customer_uuid string (uuid)
monthly_cost_limit string (decimal)
enabled boolean
created string (date-time)
modified string (date-time)
created_by_uuid string (uuid)
created_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
created_by_full_name string
modified_by_uuid string (uuid)
modified_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
modified_by_full_name string

Create

1
2
3
4
5
6
http \
  POST \
  https://api.example.com/api/marketplace-project-order-auto-approvals/ \
  Authorization:"Token YOUR_API_TOKEN" \
  project="https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  monthly_cost_limit="12.34"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.project_order_auto_approval_request import ProjectOrderAutoApprovalRequest # (1)
from waldur_api_client.api.marketplace_project_order_auto_approvals import marketplace_project_order_auto_approvals_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProjectOrderAutoApprovalRequest(
    project="https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    monthly_cost_limit="12.34"
)
response = marketplace_project_order_auto_approvals_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProjectOrderAutoApprovalRequest
  2. API Source: marketplace_project_order_auto_approvals_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
import { marketplaceProjectOrderAutoApprovalsCreate } from 'waldur-js-client';

try {
  const response = await marketplaceProjectOrderAutoApprovalsCreate({
  auth: "Token YOUR_API_TOKEN",
  body: {
    "project": "https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "monthly_cost_limit": "12.34"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
project string (uri)
monthly_cost_limit string (decimal)
enabled boolean

201 -

Field Type Description
uuid string (uuid)
url string (uri)
project string (uri)
project_name string
project_uuid string (uuid)
customer_name string
customer_uuid string (uuid)
monthly_cost_limit string (decimal)
enabled boolean
created string (date-time)
modified string (date-time)
created_by_uuid string (uuid)
created_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
created_by_full_name string
modified_by_uuid string (uuid)
modified_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
modified_by_full_name string

Update

1
2
3
4
5
6
http \
  PUT \
  https://api.example.com/api/marketplace-project-order-auto-approvals/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN" \
  project="https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/" \
  monthly_cost_limit="12.34"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.project_order_auto_approval_request import ProjectOrderAutoApprovalRequest # (1)
from waldur_api_client.api.marketplace_project_order_auto_approvals import marketplace_project_order_auto_approvals_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = ProjectOrderAutoApprovalRequest(
    project="https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    monthly_cost_limit="12.34"
)
response = marketplace_project_order_auto_approvals_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: ProjectOrderAutoApprovalRequest
  2. API Source: marketplace_project_order_auto_approvals_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
import { marketplaceProjectOrderAutoApprovalsUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceProjectOrderAutoApprovalsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  },
  body: {
    "project": "https://api.example.com/api/project/a1b2c3d4-e5f6-7890-abcd-ef1234567890/",
    "monthly_cost_limit": "12.34"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
project string (uri)
monthly_cost_limit string (decimal)
enabled boolean

200 -

Field Type Description
uuid string (uuid)
url string (uri)
project string (uri)
project_name string
project_uuid string (uuid)
customer_name string
customer_uuid string (uuid)
monthly_cost_limit string (decimal)
enabled boolean
created string (date-time)
modified string (date-time)
created_by_uuid string (uuid)
created_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
created_by_full_name string
modified_by_uuid string (uuid)
modified_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
modified_by_full_name string

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/marketplace-project-order-auto-approvals/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_project_order_auto_approval_request import PatchedProjectOrderAutoApprovalRequest # (1)
from waldur_api_client.api.marketplace_project_order_auto_approvals import marketplace_project_order_auto_approvals_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedProjectOrderAutoApprovalRequest()
response = marketplace_project_order_auto_approvals_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedProjectOrderAutoApprovalRequest
  2. API Source: marketplace_project_order_auto_approvals_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceProjectOrderAutoApprovalsPartialUpdate } from 'waldur-js-client';

try {
  const response = await marketplaceProjectOrderAutoApprovalsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
project string (uri)
monthly_cost_limit string (decimal)
enabled boolean

200 -

Field Type Description
uuid string (uuid)
url string (uri)
project string (uri)
project_name string
project_uuid string (uuid)
customer_name string
customer_uuid string (uuid)
monthly_cost_limit string (decimal)
enabled boolean
created string (date-time)
modified string (date-time)
created_by_uuid string (uuid)
created_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
created_by_full_name string
modified_by_uuid string (uuid)
modified_by_username string Required. 128 characters or fewer. Lowercase letters, numbers and @/./+/-/_ characters
modified_by_full_name string

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/marketplace-project-order-auto-approvals/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_project_order_auto_approvals import marketplace_project_order_auto_approvals_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_project_order_auto_approvals_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_project_order_auto_approvals_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplaceProjectOrderAutoApprovalsDestroy } from 'waldur-js-client';

try {
  const response = await marketplaceProjectOrderAutoApprovalsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body